import { type ParserServicesWithTypeInformation, type TSESTree } from "@typescript-eslint/utils";
export declare function isLengthUsedInTestContext(node: TSESTree.MemberExpression): boolean;
export declare function isLengthNegated(node: TSESTree.MemberExpression): boolean;
export declare function isLengthInLogicalExpression(node: TSESTree.MemberExpression): boolean;
export declare function normalizeNodes<T>(array: (T | null)[]): T[];
export declare function isArrayLikeTypeNode(node: TSESTree.Node, parserServices: ParserServicesWithTypeInformation): boolean;
export declare function isArrayMethodCallExpression(node: TSESTree.Node, parserServices: ParserServicesWithTypeInformation, methods: string[]): node is TSESTree.CallExpression & {
    callee: TSESTree.MemberExpression;
};
export declare function isCopiedArray(node: TSESTree.Node): boolean;
